Bug 618064 - Unable to route past gateway on one of two interfaces.
Unable to route past gateway on one of two interfaces.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: routed (Show other bugs)
14
i686 Linux
low Severity high
: ---
: ---
Assigned To: Alan Cox
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 18:56 EDT by Art Melnick
Modified: 2012-08-16 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:00:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Art Melnick 2010-07-25 18:56:17 EDT
Description of problem:  Routing schema works ok in Fedora 11 but not in Fedora 13.
routing as follows:

[root@lamp art]# cat /etc/rc.d/rc.local
#!/bin/sh
#
ip route add 99.104.206.56/29 dev eth1 src 99.104.206.58 table T1
ip route add default via 99.104.206.62 table T1

ip route add 192.168.111.0/24 dev eth2 src 192.168.111.6 table T2
ip route add default via 192.168.111.1 table T2

ip route add 99.104.206.56/29 dev eth1 src 99.104.206.58
ip route add 192.168.111.0/24 dev eth2 src 192.168.111.6

ip rule add from 99.104.206.58 table T1
ip rule add from 192.168.111.6 table T2
touch /var/lock/subsys/local

[root@lamp art]# ip route list table main
99.104.206.56/29 dev eth1  proto kernel  scope link  src 99.104.206.58 
192.168.111.0/24 dev eth2  proto kernel  scope link  src 192.168.111.6 
default via 99.104.206.58 dev eth1 

[root@lamp art]# ip route list table T1
99.104.206.56/29 dev eth1  scope link  src 99.104.206.58 
default via 99.104.206.62 dev eth1 

[root@lamp art]# ip route list table T2
192.168.111.0/24 dev eth2  scope link  src 192.168.111.6 
default via 192.168.111.1 dev eth2 

[root@lamp art]# ip rule list
0:	from all lookup local 
32764:	from 192.168.111.6 lookup T2 
32765:	from 99.104.206.58 lookup T1 
32766:	from all lookup main 
32767:	from all lookup default 

The 192.168.111.0/24 (eth2) interface works fine but the 99.104.206.56/29 (eth1) interface will only work to and from the subnet.  In other words, nothing can get through the gateway 99.104.206.62 in either direction.

I know of other people with this problem!


Version-Release number of selected component (if applicable):
Fedora 13 but not Fedora 11.

How reproducible:
Use above routing tables.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Nothing can get through the gateway 99.104.206.62 in either direction.

Expected results:
Normal operation.

Additional info: None
Comment 1 Bug Zapper 2010-07-30 08:50:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2012-08-16 13:00:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.